import 'package:cheminova/models/get_rd_pennding_model.dart';

import '../utils/api_urls.dart';
import '../utils/common_api_service.dart';

class GetPendingService{

  Future<List<GetRdPendingModel>?> getRDPendingProduct(String token) async {
    try {
      String url = ApiUrls.getRdPendingOrdergUrl; // Base URL to fetch product manuals

      final response = await commonApiService<List<GetRdPendingModel>>(
        method: "GET",
        url: url,
        additionalHeaders: {  // Pass the token here
          'Authorization': 'Bearer $token',
        },
        fromJson: (json) {
          if (json['plcaedOrders'] != null) {
            // If the productManuals key is present, map the response to a list of ProductManualModel objects
            final List<GetRdPendingModel> productManuals = (json['plcaedOrders'] as List)
                .map((manualJson) => GetRdPendingModel.fromJson(manualJson))
                .toList();
            return productManuals; // Return the list of product manuals
          } else {
            return [];
          }
        },
      );
      return response;
    } catch (e) {

      print("fkfgghgh ,${e.toString()}");
      //print(e.toString());
      return null;
    }
  }

}